Subject: Re: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Gerd Möllmann <[email-masked]>
Date: Sun, 26 Jan 2025 18:19:12 +0100

Can't talk for w32, but I've removed the "obscuring" fromt the ttys because it plainly went against the rest with tty child frames.

> On 26. Jan 2025, at 17:44, martin rudalics <[email-masked]> wrote:
> 
> > I just described what factually happens:
> >
> >    emacs -Q -nw
> >    C-x 5 b RET
> >    M-: (frame-visible-p (next-frame)) RET
> >     => t
> 
> That's what 'frame-visible-p' does.  I wondered what happened to
> FRAME_OBSCURED_P in w32_read_socket.  Has that become obsolete?
> 
> martin
>